package net.northking.cctp.executePlan.api.service;

import net.northking.cctp.executePlan.db.entity.AtuPlanSceneCaseTask;
import net.northking.cctp.executePlan.db.entity.AtuPlanTask;
import net.northking.cctp.executePlan.dto.planTask.AtuTaskExecResultDto;

public interface AtuPlanSceneCaseTaskApiService {

    void sceneCaseHandle(AtuTaskExecResultDto taskExecResult, String clusterKeyPrefix);

    void queryNextNodeInfo(AtuTaskExecResultDto taskExecResult, AtuPlanSceneCaseTask planSceneCaseTask, AtuPlanTask planTask);

    void associatedActualImgAndVideo(AtuTaskExecResultDto taskExecResult);

    String parseMobilePerformanceFile(AtuTaskExecResultDto taskExecResult);
}
